ERROR : ... android-support-v4.jar doesn't exist .

s.mahdihossainis.mahdihossaini USMember
edited February 2014 in Xamarin.Android

Hi,
i want to build zxing.net.mobile-1.4.2 sample in xamarin studio but when i compile it, i get the following error:

Error XA5207: Please install package: 'Android Support Library' available in SDK installer. Java library file support/v4/android-support-v4.jar doesn't exist. (XA5207)

also i already downloaded 'Android Support Library' in to Android sdk manager!!!

Can anyone help me???

Excuse for bad english.

Posts

  • Anyone can help me????

  • JaredBagleyJaredBagley USMember ✭✭

    Verify the Android SDK location in the Project options? Confirm you have revision 19.0.1 of the Android Support Library within the Android SDK manager launched from Tools>Open Android SDK Manager?

  • Thanks JaredBagley for replay,
    I have android support library with revision 19 but sdk manager has't any downloadable library for 19.0.1 revision.

  • JaredBagleyJaredBagley USMember ✭✭

    Maybe it would help if you uploaded a screenshot of your SDK Manager. Mine looks like this:

  • JamesMontemagnoJamesMontemagno USForum Administrator, Xamarin Team, Developer Group Leader Xamurai

    In the getting started for android it says:

    You must also add a reference to the Component Android Support Library v4 https://components.xamarin.com/view/xamandroidsupportv4-18 from the Component Store.

    Did you add this component? If so make sure the reference was added in correctly, you might have to remove the component and re-add it. Also make sure that the folder name isn't too long either as on Windows you can run into a long folder name issue.

  • I attach screen shot from my Android sdk manager and project references.

    A.PNG 34.6K
    B.PNG 11.4K
  • The problem was't solved,please help me!

  • StevaSteva RSMember ✭✭✭

    Don't know if the problem for you is the same that we had few weeks ago, but if the path is too long it won't be able to load the jar file. Moving project to root directory solved it.

  • Thanks Steva,I moved the sample to C:\ but problem still exist.

  • JamesMontemagnoJamesMontemagno USForum Administrator, Xamarin Team, Developer Group Leader Xamurai

    @s.mahdihossaini after you moved it to C:\ can you delete the Components folder and then re-open the solution? This will re-download and extract the components. The support libraries no longer require you to have them downloaded via the Android SDK manager as we include them in the component so the versions always match.

  • Thanks JamesMontemagno,i will test it.

  • No,It did not worked.
    Where do I put this library??

  • Is there any other way to solve this problem????

  • SerhatAydin.4980SerhatAydin.4980 USMember
    edited March 2014

    I have the same issue, did you solve the problem?

  • s.mahdihossainis.mahdihossaini USMember
    edited March 2014

    No, the problem still exist.
    what is your mono android version??

  • dhobla007dhobla007 USMember

    Guys

    anyone got solution to this issue.
    my xamarin.android version is 4.8 is this an issue????
    please reply

  • ShahroozSabetShahroozSabet SEMember

    Hey,

    I have the same problem in Xamarin.Android 4.8, any solution to it?

    Thanks

  • RafaelCrdenasOrtegaRafaelCrdenasOrtega MXUniversity ✭✭

    I switched to beta channel and it's working now, I think it's a problem with the Android 4.8 update

  • sha2_crensha2_cren IDMember

    Hi guys,

    I also got same problem. Is anyone already got the solution?

Sign In or Register to comment.